Family Care - Bug #2370

Change File Data ] submission form
03/08/2021 01:36 PM - Saja Nakhleh

Status:
Priority:
Assignee:
Category:
Target version:

Co-Workers:

Severity:
Category:
Sub-Category:

Step_Description:

Pre_Conditions:

Expected Result:

06/03/2025

Closed
Normal
Saja Nakhleh

Normal

Change File Data

Issue #1:
1.the (new status) and (new unit) fields
values should be inherited from the

Start date:

Due date:

% Done:
Estimated time:
Spent time:

Actual Result:

Environment:
Transaction Number:
Username:

Browser:

URL:

Test Case ID:

03/07/2021

0%
0.00 hour
0.00 hour

Issue #1:

all the fields are empty and editable,
hence the researcher decision could be
different than the selected values from
(new status) and (new unit) tabs

Observe the video :
https://www.loom.com/share/48d89f2375k
6451ea6b5dc3b716a3142

Issue #2:

the reason's options are irrelevant to the
selected status or to the beneficiary civil
status or his age.

evidence 1.gif

Issue #3:

the new status options are irrelevant to
the beneficiary civil status or his age.
Observe file (07770905), it's created for
not married girl, 19 years old and changeg

to (0000D00D)

evidence 2.gif

Issue #4:

the stop cause on the cancled file
(original file) will e diffrent than the cause
on the newly created file

observe new file #: 07170949

Old file: 07180992

evidence 3.gif

Issue #5:

A. the Change cause will be the Auditor
decision

while the real chagne will be the
researcher deicison !

B. the cancle cause will be NULL on the
new file and on the report of the cancled
file

Observe evidence 4.gif and canceled file
report

QA

Firefox
selected values from steps 2 and 3
2. the old status and old unit should be
inherited from DB and be read only

Issue #2:

the reasons should be relevant to the
newly selected status, this includes:
gender, age, civil status(live, dead,
divorced, Widower)

Issue #3:

the options of (new status) should be
relevant options for the old status, based
on the beneficiary civil status, gender
and age (same as validations that
applied on the open file submission form
and update file submission form

Issue #4:

the stop cause should be inhireted on
the newly created file from the canceled
file

Issue #5:

A.the change casue should be the real
data selected from the (researcher step)
B. the cancle cause should not be NULL
either on the cancled file or the new file[

Description

Issue #1:

1. Open the (Change file data) form for any id(302062500266,2123740102)
2. navigate to (new unit data) tab and select new unit

3. navigate to (new status data) tab select new status

4. navigate to the (researcher decision) tab and select the last option

5. Observe the fields' values on the opened dialog

Issue #2:

1. Open the (Change file data) form for any id(302062500266,2123740102)
2. navigate to (new unit data) tab and select new unit

3. navigate to (new status data) tab select new status

4. navigate to the (researcher decision) tab and select the 1st option

S[Iflﬁlll]tl]hﬁ[lfll]elds randomly (00 0000000 [II]I]I]I]I]I]I] gooooo I][II][II] ,0000000 0oO0ooD boooo ,00oo 0Doo -0hoboon boooa
)

6. Click inside the (reason) field and observe the options

Issue #3:

1. Open the (Change file data) form for any id(302062500266,2123740102)
2. navigate to (new unit data) tab and select new unit

3. navigate to (new status data) tab select new status

4. navigate to the (researcher decision) tab and select the 1st option

Snfﬁlhtﬁqﬁnfhelds randomly (00 0000000 0000DODD 0ODOCOD I][II][II] ,0000000 boO0ooD boooo ,00oo 0Dboo -0boboon boooa
)

ISsue #4:

1. Select (stopped file) (i.e: beneficiary with ID 265033100036)
2. submit new (Change file data) form

3. complete the WF steps for the submitted task in previous step
4. Observe the stop cause on the newly created file

Issue #5:

1. select any file

2. open new (Change file data) form (i.e:294120401294)

3. change the unit to new unit (10000 0000 0000 000 00000 000 00)
4. submit the task
http://mscjo.dynalias.com:8089/redmine/issues/1
http://mscjo.dynalias.com:8089/redmine/issues/2
http://mscjo.dynalias.com:8089/redmine/issues/3
http://mscjo.dynalias.com:8089/redmine/issues/4
http://mscjo.dynalias.com:8089/redmine/issues/5

5. complete the WF steps for the submitted task in previous step but each time select different values for the decision tab

6. Open canceled old file
7. Observe the change cause

History

#1 - 03/14/2021 11:11 AM - Saja Nakhleh

- Assignee changed from Saja Nakhleh to Musab Khuraisat

#2 - 03/18/2021 03:19 PM - Saja Nakhleh
- File 3.gif added

- Description updated

- Expected Result updated

- Actual Result updated

#3 - 03/22/2021 01:52 PM - Saja Nakhleh
- File 4.gif added

- File Canceled file report.pdf added

- Description updated

- Expected Result updated

- Actual Result updated

#4 - 04/09/2021 11:14 PM - Musab Khuraisat

- Assignee changed from Musab Khuraisat to Saja Nakhleh

Dear Saja,

the issue has been solved and you can test it again.

#5 - 04/14/2021 02:21 PM - Saja Nakhleh
- Status changed from Open to Feedback

- Assignee changed from Saja Nakhleh to Musab Khuraisat

- Priority changed from Normal to Immediate

- Severity changed from Normal to Major

A SHOW STOPPER prevent submitting the change file data
https://www.loom.com/share/8b25e8d328944ca39fac2ad6e9904fe9

#6 - 04/20/2021 10:40 PM - Musab Khuraisat

- Assignee changed from Musab Khuraisat to Saja Nakhleh

#7 - 04/21/2021 04:11 PM - Saja Nakhleh
- File canceled file.pdf added

- Assignee changed from Saja Nakhleh to Musab Khuraisat

- Priority changed from Immediate to Normal

- Severity changed from Major to Normal

Issue #1:

a validation is added to compare the selected values on the new status and new unit with the selected values on the searcher decision tab.

BUT no validations are applied if the user changed the unit and select the status from the searcher decision tab.

task # 149669

https://www.loom.com/share/afcf33f36402437a99aa5e17444b34d2
https://www.loom.com/share/8b25e8d328944ca39fac2ad6e9904fe9
http://mscjo.dynalias.com:8089/redmine/issues/1
https://www.loom.com/share/afcf33f36402437a99aa5e17444b34d2

Issue #2:
as confirmed with Mohannad the issue will not be handled

Issue #3:
still duplicated

Issue #4:
still duplicated

Issue #5:
a random and informative text is shown on the cancellation cause field on the report. observe the attached sample. canceled file.pdf

New issue, Issue #6:
the error messages will be shown always on the dialog box of the, even if the user select valid chois from the searcher decision
https://www.loom.com/share/afcf33t{36402437a99aa5e17444b34d2

Issue #7:
for the died beneficiary, always the following message is occurred and the submission will be denied. evidence 10.gif

#8 - 05/18/2021 01:41 PM - Saja Nakhleh
- File 10.GIF added

#9 - 06/01/2021 01:57 PM - Musab Khuraisat
- Assignee changed from Musab Khuraisat to Saja Nakhleh

Done.

#10 - 06/01/2021 06:26 PM - Saja Nakhleh
- File 12.GIF added

Issue #1:

tested and verified for all test cases:

TC_1: change the unit only (pass)

TC_2: change the type only (Pass)

TC_3: change both of unit and type (failed)

if the applicant changed both of unit and type then select the unit only or type only on the decision tab, the decision will be taken normally !

Observe the video: https://www.loom.com/share/dc301535254948ad80339549e0c74652
TC_4: change nothing (Pass)

TC_5: change to the original value (failed)

Once the values are changed to new values then reset to the original, an error will be occurred (the newly selected value will be set instead of the old
value).

Observe evidence 12.gif and the scenario is recorded on the video:

https://www.loom.com/share/7f5e14149e8840229ee3d04ef01b2fb9

TC_6: change anything then add the decision then set the values to the original values (Failed) Observe the video below TC.7

TC_7: change anything then add the decision then set the values to the different values (failed)

the new values will be kept and they will be different than the decision, hence the searcher decision should be empty every time the type or status is
changed !

Observe the video: https://www.loom.com/shar 495411994762
http://mscjo.dynalias.com:8089/redmine/issues/2
http://mscjo.dynalias.com:8089/redmine/issues/3
http://mscjo.dynalias.com:8089/redmine/issues/4
http://mscjo.dynalias.com:8089/redmine/issues/5
http://mscjo.dynalias.com:8089/redmine/issues/6
https://www.loom.com/share/afcf33f36402437a99aa5e17444b34d2
http://mscjo.dynalias.com:8089/redmine/issues/7
http://mscjo.dynalias.com:8089/redmine/issues/1
https://www.loom.com/share/dc301535254948ad80339549e0c74652
https://www.loom.com/share/7f5e14149e8840229ee3d04ef01b2fb9
https://www.loom.com/share/d9d3a3ccc495411994762c680f7dddc9

Issue #3:

tested and verified on different conditions (one or more conditions on each case)
gender

age

social status

Issue #4

still duplicated!

the decision on canceled file (old file) will be the auditor decision of stop process

while the the decision on new file (created after the change file process) will be the searcher selection (not decision) of stop process

Issue #5 :
a. this case is invalid now as it's handled inside the bpm process (all the bpm users should select decisions as the searcher selection (not decision)
b. moved to new bug report http:/mscjo.dynalias.com:8089/redmine/issues/2382

Issue #6:
tested and verified.

Issue #7:
tested and verified as the error message now is informative. evidence 1.gif

new issue, Issue #8:
a. the error message should be : 00 000 0000000 00000 000000 00000000 0000000 00000 000DDOD
instead of: 10 000 0000000 00000 000000 000 ooo OOO00DOD 0ODODD DOOOOO

(same issue regarding the type tab) Observe evidence 11.gif

b. the label of tab should be: (1000000 00000 0000OD) instead of (A000000 0000OD0 00OO0D)
and the dropdownlist label should be : 0000000 00000 0000 instead of 0000000 000000 0000

c. the submit action label should be : 00000 00000
instead of : 0000000 00000

#11 - 06/02/2021 02:32 PM - Saja Nakhleh
- File 1.GIF added
- File 11.GIF added

- Description updated

#12 - 06/02/2021 02:48 PM - Saja Nakhleh
- Assignee changed from Saja Nakhleh to Musab Khuraisat
http://mscjo.dynalias.com:8089/redmine/issues/3
http://mscjo.dynalias.com:8089/redmine/issues/4
http://mscjo.dynalias.com:8089/redmine/issues/5
http://mscjo.dynalias.com:8089/redmine/issues/2382
http://mscjo.dynalias.com:8089/redmine/issues/6
http://mscjo.dynalias.com:8089/redmine/issues/7
http://mscjo.dynalias.com:8089/redmine/issues/8

#13 - 06/07/2021 02:02 PM - Musab Khuraisat
- Assignee changed from Musab Khuraisat to Saja Nakhleh

Done.

#14 - 06/10/2021 04:07 PM - Saja Nakhleh

Issue #1:
TC_3,TC_5, and TC_7:
still duplicated !

Issue #4:
the issue will be moved to the update file report.

Issue #8:
a. tested and verified.

b. 000000 000 stil duplicating

c. tested and verified.

#15 - 06/16/2021 03:17 PM - Saja Nakhleh
- Assignee changed from Saja Nakhleh to Musab Khuraisat

#16 - 07/14/2021 03:46 PM - Musab Khuraisat

- Assignee changed from Musab Khuraisat to Saja Nakhleh

All issues have been resolved

#17 - 07/14/2021 09:52 PM - Saja Nakhleh
- Assignee changed from Saja Nakhleh to Musab Khuraisat

Issue #1:

TC_3: still duplicated !
TC_5: still duplicated !
TC_7: still duplicated !

Issue #8:

b. 000000 000 stit duplicating

#18 - 07/16/2021 01:56 PM - Musab Khuraisat
- Assignee changed from Musab Khuraisat to Saja Nakhleh

the issue has been solved and you can test it again.

#19 - 07/16/2021 03:19 PM - Saja Nakhleh
- File 124.GIF added

06/03/2025
http://mscjo.dynalias.com:8089/redmine/issues/1
http://mscjo.dynalias.com:8089/redmine/issues/4
http://mscjo.dynalias.com:8089/redmine/issues/8
http://mscjo.dynalias.com:8089/redmine/issues/1
http://mscjo.dynalias.com:8089/redmine/issues/8

- Assignee changed from Saja Nakhleh to Musab Khuraisat

TC_3:
tested and verified

TC_5:
still duplicating

TC_7:
still duplicating

New issue - Issue #9:
the Fields' label are in English. evidence 124.gif
Note: same issue occurred on update file submission file

#20 - 07/17/2021 11:11 AM - Musab Khuraisat
- Assignee changed from Musab Khuraisat to Saja Nakhleh

Done

#21 - 07/17/2021 05:07 PM - Saja Nakhleh
- Status changed from Feedback to Closed

Issue #1:
TC 3, TC 5, TC_ 7:
tested and verified.

Issue #9:
tested and verified.

Files

1.GIF 88.8 KB 03/08/2021 Saja Nakhleh
2.GIF 108 KB 03/08/2021 Saja Nakhleh
3.gif 174 KB 03/18/2021 Saja Nakhleh
Canceled file report.pdf 75.3 KB 03/22/2021 Saja Nakhleh
4 gif 232 KB 03/22/2021 Saja Nakhleh
canceled file.pdf 75.3 KB 04/21/2021 Saja Nakhleh
10.GIF 114 KB 05/18/2021 Saja Nakhleh
12.GIF 172 KB 06/01/2021 Saja Nakhleh
1.GIF 122 KB 06/02/2021 Saja Nakhleh
11.GIF 91.8 KB 06/02/2021 Saja Nakhleh
124.GIF 39.8 KB 07/16/2021 Saja Nakhleh
